### Hierarchy

- CompileScriptParameterType

## Index

### Properties

- executionContextId
- expression
- persistScript
- sourceURL

## Properties

### Optional executionContextId

executionContextId: ExecutionContextId

- Defined in node_modules/@types/node/inspector.d.ts:1570

Specifies in which execution context to perform script run. If the parameter is omitted the evaluation will be performed in the context of the inspected page.

### expression

expression: string

- Defined in node_modules/@types/node/inspector.d.ts:1557

Expression to compile.

### persistScript

persistScript: boolean

- Defined in node_modules/@types/node/inspector.d.ts:1565

Specifies whether the compiled script should be persisted.

### sourceURL

sourceURL: string

- Defined in node_modules/@types/node/inspector.d.ts:1561

Source url to be set for the script.

Generated using TypeDoc